/*
 *  filelist.h
 *
 *  Copyright (c) 2012-2019 Pacman Development Team <pacman-dev@archlinux.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef HBPM_FILELIST_H
#define HBPM_FILELIST_H

#include "hbpm.h"

hbpm_list_t *_hbpm_filelist_difference(hbpm_filelist_t *filesA,
		hbpm_filelist_t *filesB);

hbpm_list_t *_hbpm_filelist_intersection(hbpm_filelist_t *filesA,
		hbpm_filelist_t *filesB);

void _hbpm_filelist_sort(hbpm_filelist_t *filelist);

#endif /* HBPM_FILELIST_H */
